Commit 538eae4a authored by Aleix Pol Gonzalez's avatar Aleix Pol Gonzalez 🐧
Browse files

Workarounds

Remove ExoPC workaround to force it on OpenGL 1.4.
Only include libhybris on the LD_LIBRARY_PATH if we actually have it.
parent f0f01e82
......@@ -18,12 +18,8 @@ export QT_ENABLE_GLYPH_CACHE_WORKAROUND=1
export QT_QUICK_CONTROLS_MOBILE=true
# work around to fix : https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1507584
export LD_LIBRARY_PATH=/usr/lib/arm-linux-gnueabihf/libhybris-egl:$LD_LIBRARY_PATH
if [ "`cat /sys/devices/virtual/dmi/id/board_name`" = "EXOPG06411" ]; then
# The ExoPC Slate from Akademy in Berlin only supports OpenGL 1.4, to get it to
# work with KWin (which requires 2.0), fake 2.0 support.
export MESA_GL_VERSION_OVERRIDE=2.0
if [ -d /usr/lib/arm-linux-gnueabihf/libhybris-egl ]; then
export LD_LIBRARY_PATH=/usr/lib/arm-linux-gnueabihf/libhybris-egl:$LD_LIBRARY_PATH
fi
touch /tmp/simplelogin_starting
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment